<head>
<title>Gästebuchprojekt mit PHP</title>
<script language="JavaScript">
<!--

b1=new Image();
b1.src="images/gb_inhalt1.jpg";
b2=new Image();
b2.src="images/gb_inhalt2.jpg";

function change(nr,obj){
  window.document.images[nr].src=obj.src;
}



  function check()
  {
    if(window.document.forms[0].elements[0].value=="")
    {
      alert("Sie haben vergessen, einen\nNamen anzugeben!");
      document.forms[0].elements[0].focus();
      return false;
    }
    if(window.document.forms[0].elements[1].value=="")
    {
      alert("Ihre Eintrag ist leer!");
      document.forms[0].elements[3].focus();
      return false;
    }

    return true;
  }

//-->
</script>



</head>

<body bgcolor="white">

<p>&nbsp;<p>

<?

require 'Gastbuch/header.inc';

if(isset($ABSENDER)){
  if(add_entry($ABSENDER,$BODY)){  
    echo "<h2>Ihr Eintag wurde abgespeichert</h2>\n";
    echo "Herzlichen Dank für Ihr Interesse.\n"; 
  } else {
    echo "<h2>Sorry, es ist ein Fehler aufgetreten</h2>\n";
    echo "Ich danke für den Versuch und werde den Fehler schnellstmöglich\n";
    echo "beheben. Eine Mail an mich wurde gerade automatisch losgeschickt,\n";
    echo "die mir den Fehler meldet. Nochmal sorry!\n";
    mail("f.kalhammer@online.de","Gaestebuch Malfunction","Malfunction","From:Meinserver.de");
  }
  unset($ABSENDER);
  echo "<font size=-1><p>&nbsp;<p>&nbsp;<p>&nbsp;<p>\n";
  echo "<center><p><hr width=70%><p>";
  echo "[ <a href=index.html>Zurück zur Startseite</a> ]\n";
  echo "[ <a href=guest.php3>Nochmal Guestbook</a> ]\n";
  echo "[ <a href=inhalt.php3>Inhalt des Gästebuchs</a> ]\n";
  echo "<p><hr width=70%><p><font color=blue>\n";
  echo "Diese Seite ist ein Projekt der Klasse NTKE0200\n";
  echo "</font></font>\n";
  echo "</center>\n</body>";
  exit;
}
?>
Mit dem untenstehenden Formular kann ein Eintrag im Gästebuch vorgenommen
werden. Außerdem ist es möglich, die bisherigen Einträge des Gästebuchs zu
lesen. 
<p><hr><p>
<center>
<form method=post action=guest.php3 onSubmit="return check()">
<table border=0 bgcolor=#000000 cellspacing=5>
<tr><td>
<table bgcolor=#cacaca cellspacing=0>
<tr><th>
<table bgcolor=#cacaca width=80% cellspacing=0>
<tr>
<td><b>Ihr Name:</b></td>
<td><input type=text size=40 maxlength=100 name=ABSENDER></td>
</tr>
<tr>
<td colspan=2>
<textarea rows=7 cols=70 name=BODY></textarea>
</td>
</tr>
<tr>
<th><input type=submit value="  Eintrag abschicken  "></th>
<th align=right><input type=reset value=" Formular zurücksetzen "></th> 
</tr>
</table>
</th></tr></table>
</td></tr></table>
</form>

<p><hr width=70%><p>
<a href=inhalt.php3 onMouseOver="change(0,b2)" onMouseOut="change(0,b1)">
<img src=images/gb_inhalt1.jpg border=0></a><br>
<p>
</center>
<center>
<font size=-1>
<p>&nbsp;<p>&nbsp;<p><hr width=70%><p>
[ <a href=index.html>Zurück zur Startseite</a> ]
<p><hr width=70%><p><font color=blue>
</font></font>
</center>

</body>


